Aller au contenu

Lister les disponibilités d'un membre du personnel sur une plage de dates

GET
/v1/staff-members/{id}/availability
curl --request GET \
--url 'https://example.com/v1/staff-members/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/availability?to=2026-07-31&from=2026-07-01' \
--header 'X-API-Key: <X-API-Key>'
id
required
string format: uuid
to
required
string format: date
Example
2026-07-31
from
required
string format: date
Example
2026-07-01

Liste des disponibilités

Media type application/json
object
data
required
Array<object>
object
id
required
string format: uuid
staffMemberId
required
string format: uuid
date
required
string format: date
shiftType
required
string
Allowed values: morning afternoon night full_day custom
startTime
string
nullable
endTime
string
nullable
status
required
string
Allowed values: working off leave sick
source
required
string
Allowed values: manual staffing_port_import
notes
string
nullable
Example
{
"data": [
{
"shiftType": "morning",
"startTime": "08:00",
"endTime": "17:00",
"status": "working",
"source": "manual"
}
]
}

Plage invalide (from > to ou > 92 jours)

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}

Non authentifié

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}

Permission refusée

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}

StaffMember introuvable

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}